<ion-header>
  <ion-toolbar>
    <ion-title text-center>
      Posts
    </ion-title>
  </ion-toolbar>
</ion-header>
<ion-content padding>
  <ion-list>
    <ion-item *ngFor="let post of posts" (click)="goToDetailsPage(post)">
      <ion-avatar slot="start">
        <ion-img src="https://via.placeholder.com/150"></ion-img>
      </ion-avatar>
      <ion-label>
        <h2>{{post.title}}</h2>
        <p>{{ post.body}}...</p>
      </ion-label>
    </ion-item>
  </ion-list>
   <ion-infinite-scroll (ionInfinite)="loadMorePosts($event)">
      <ion-infinite-scroll-content
        loadingSpinner="bubbles">
      </ion-infinite-scroll-content>
  </ion-infinite-scroll> 
</ion-content>
